<?php

namespace AppBundle\Repository;

/**
 * ProdottiRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class ProdottiRepository extends \Doctrine\ORM\EntityRepository
{
    
    public function findProdotti($idPermuta){
        return $this->getEntityManager()
            ->createQuery(
               'SELECT e,c
                FROM AppBundle:Prodotti e,
                AppBundle:Condizioni c
                WHERE e.idPermuta = :idP
                AND e.condizioneId = c.id'
                    
                   
            )
            ->setParameter('idP', $idPermuta) 
            ->getResult();
        
    }
    
}
